package com.bonus.canteen.core.supply.purchase.constants;

public enum DrpNoticeProcessEnum {
   PUR_TO_SUPPLIER_CHANGE(1, "采购员通知供应商更改"),
   SUPPLIER_TO_PUR_CONFIRM(2, "供应商通知采购员确认"),
   PUR_TO_SUPPLIER_CONFIRM(3, "采购员通知供应商已确认");

   private final Integer key;
   private final String value;

   private DrpNoticeProcessEnum(Integer key, String value) {
      this.key = key;
      this.value = value;
   }

   public static Integer getKey(String value) {
      DrpNoticeProcessEnum[] enums = values();
      DrpNoticeProcessEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         DrpNoticeProcessEnum temp = var2[var4];
         if (temp.value().equals(value)) {
            return temp.key();
         }
      }

      return null;
   }

   public static String getValue(Integer key) {
      DrpNoticeProcessEnum[] enums = values();
      DrpNoticeProcessEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         DrpNoticeProcessEnum temp = var2[var4];
         if (temp.key().equals(key)) {
            return temp.value();
         }
      }

      return null;
   }

   public Integer key() {
      return this.key;
   }

   public String value() {
      return this.value;
   }

}
